/* HEADER STYLES
--------------------------------------------------*/
#theme-header {
    background-color: #fff;
}
#theme-header .logo {
    padding: 23px 0 19px 14px;
}
#theme-header-logo-container {
    position: relative;
}
#theme-header-logo {
    position: absolute;
    top: -55px;
    right: 30px;
}
@media (max-width: 360px) {
    #theme-header .logo {
        padding: 23px 0 19px 0;
    }
    #theme-header-logo {
        right: 15px;
    }
}

/* PAGE STYLES
--------------------------------------------------*/
@media (min-width: 1300px) {
    .shadow-container {
        box-shadow: 0 0 9px 0 rgb(92 92 92 / 31%);
        overflow: hidden;
    }
}

.content-main {
    margin: 0px -15px;
    padding: 0px 15px;
}

.strong {
    font-weight: bold;
}

.navbar {/* This is a bootstrap class but it's theme specific behaviour */
    position: relative;
    margin: 0px -15px;
    padding: 0px 15px;
}

.username {
    position: absolute;
    top: 45px;
    right: 15px;
}

.username h5:before {
    content: "Logged in as: ";
}

#global-message {
    /* move down far enough to clear the username */
    margin-top: 30px;
}

/* When the menu collapses, move the username up onto it */
@media (max-width: 767px) {
    .username {
        top: 5px;
        left: 15px;
        right: initial;
        z-index: 1000;
    }

    .username h5:before {
        content: "";
    }
}

.page-heading h1 , .page-heading h2  {
    text-align: center;
    position: relative;
    padding-bottom: 15px;
    margin-bottom: 20px;
}

.page-heading h1:after, .page-heading h2:after {
    content: '';
    position: absolute;
    width: 50px;
    height: 2px;
    background-color: #004B88;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
}

/* Hide all of the following by default until we've processed enough to display them */
#breadcrumbs, #content, .validation-results, .step-panel {
    display: none;
}

#calendar-icon {
    cursor: pointer;
}

/* Hide the text that is created by the password strength checker */
.pstrength-minchar {
    display: none;
}

.margin-10-bottom {
    margin-bottom: 10px;
}

.margin-30-top {
    margin-top: 30px;
}

.margin-10-top {
    margin-top: 10px;
}

.question, .exclamation {margin: -4px 0px 0px 1px; display: inline-block; padding: 0px 5px; border-radius: 50%; color: #e5e5e5; font-size: 0.8em; font-weight: bold; cursor: pointer; min-width: 15px; text-align: center;} 
.question {background: #1562ce;}
.exclamation {background: #cc1313;}

/* Authenticator page list
--------------------------------------------------*/
#kc-totp-settings {
	padding-inline-start: 15px;
}

/* Table popovers */
.popover-content > table > tbody > tr > td {
    white-space: nowrap;
    border: none;
}

.popover-content > table > tbody > tr > td:last-child {
    font-weight: bold;
}

/* Total row at the bottom of transaction pages */
#total-panel .amount {
    font-weight: bold;
    font-size: 29px;
    line-height: 1;
    padding-left: 10px;
}

#total-panel .amount-text {
    font-weight: bold;
    font-size: 22px;
}

/* CSS LOADING SPINNER
--------------------------------------------------*/
@keyframes spin {
	to { transform: rotate(1turn); }
}

.ajax-loader-css {
	position: relative;
	display: none;
	width: 5em;
	height: 5em;
	margin: .5em .5em 10px .5em;
	font-size: 5px;
	text-indent: 999em;
	overflow: hidden;
	animation: spin 1s infinite steps(8);
}

.mid.ajax-loader-css {
	font-size: 12px;
}

.large.ajax-loader-css {
	font-size: 24px;
}

.ajax-loader-css:before,
.ajax-loader-css:after,
.ajax-loader-css > div:before,
.ajax-loader-css > div:after {
	content: '';
	position: absolute;
	top: 0;
	left: 2.25em; /* (container width - part width)/2  */
	width: .55em;
	height: 1.5em;
	border-radius: 45%;
	background: #bbb;
	box-shadow: 0 3.5em #bbb; /* container height - part height */
	transform-origin: 50% 2.5em; /* container height / 2 */
}

.ajax-loader-css:before {
	background: #333;
}

.ajax-loader-css:after {
	transform: rotate(-45deg);
	background: #555;
}

.ajax-loader-css > div:before {
	transform: rotate(-90deg);
	background: #777;
}

.ajax-loader-css > div:after {
	transform: rotate(-135deg);
	background: #999;
}

.btn-toolbar-loader {
    float: right;
    margin: 5px 0 0 0;   
}

.btn-block {/* This is a bootstrap class but it's theme specific behaviour */
    position: relative;
}

.btn-block-loader {
    position: absolute;
    top: 2px;
    right: 0px;   
}

/* Box Radio component */
.box-radio-container {
  display: flex;
  flex-wrap: wrap;
}

.box-radio {
  flex: 1 1 200px;
  margin-bottom: 5px;
  display: flex;
  flex-direction: column;
}

.box-radio:last-child {
  margin-bottom: 0;
}

.box-radio > label {
  margin: 0;
  font-weight: initial;
  width: 100%;
  flex: 1 0 auto;
}

.box-radio input[type="radio"] {
  display: none;
}

.box-radio .box-radio-content {
  border: 2px solid #d2d2d2;
  border-radius: 10px;
  padding: 5px 5px 5px 40px;
  cursor: pointer;
  position: relative;
  transition: all 0.5s;
  height: 100%;
}

.box-radio .box-radio-content.box-panel {
  padding: 0px;
}

.box-radio .box-radio-content:hover {
  border-color: #004b85;
  box-shadow: 0 0 6px rgba(0, 75, 133, 0.3);
}

.box-radio input[type="radio"]:checked + .box-radio-content {
  border: 2px solid #004b85;
  color: #004b85;
  box-shadow: 0px 0px 5px #004b85;
}
.box-radio .box-radio-content:after {
    content: "\f116";
    left: 10px;
    top: 0px;
    position: absolute;
    font-family: "era-icons";
    color: #004b85;
    font-size: 20px;
}

.box-radio input[type="radio"]:checked + .box-radio-content:after {
  content: "\f115";
}

.box-radio-footer {
  padding: 4px 0 4px 0;
  background-color: #e4e4e4;
}

/* FOOTER STYLES
--------------------------------------------------*/
#theme-footer:before {
    content: "";
    background-image: url(../img/hr_bar.png);
    background-size: 100%;
    display: block;
    height: 3px;
}
#theme-footer {
    background-color: #ffffff;
    color: #363636;
    position: relative;
    margin: 0px -15px;
}
#theme-footer>div {
    padding: 39px 56px 35px;
}
#theme-footer > #build {
    position: absolute;
    top: 5px;
    right: 15px;
    font-size: 11px;
    color: #bebebe;
    width: auto;
}
#theme-footer > div div.pull-left > ul {
    margin: 0;
    padding: 0;
    list-style: none;
    line-height: 1.67;
}
#theme-footer > div div.pull-left > ul > li {
    display: inline-block;
}
#theme-footer > div div.pull-left ul > li a {
    display: block;
    font-size: 16px;
    font-weight: normal;
    color: #363636;
    line-height: 1.88;
    position: relative;
    margin-right: 45px;
}
#theme-footer > div div.pull-left  ul > li a:hover {
    text-decoration: underline;
}
#theme-footer > div div.pull-left  ul > li a:before {
    content: "/";
    position:absolute;
    right: -30px;
    color: #363636;
}
#theme-footer > div div.pull-left  ul > li:last-child a {
    margin-right: 0;
}
#theme-footer > div div.pull-left  ul > li:last-child a:before {
    content: "";
}
#theme-footer > div div.pull-left  p a,
#theme-footer > div div.pull-left  p {
    font-size: 11.5px;
    font-weight: normal;
    line-height: 2.35;
    color: #363636;
    margin: 0;
}
#theme-footer > div div.pull-right {
    text-align: right;
}
#theme-footer > div div.pull-right a {
    display: inline-block;
    vertical-align: top;
}
#theme-footer > div div.pull-right a:first-child {
    margin-right: 36px;
}
#theme-footer > div div.pull-right a:first-child img {
    max-height: 60px;
    margin-top: -5px;
}
#theme-footer > div:before, #theme-footer > div:after {
    content: ".";
    height: 0;
    overflow: hidden;
    display: block;
}
@media (max-width: 1300px) {
    #theme-footer > div > div {
        float: none !important;
    }
    #theme-footer > div {
        display: table;
        width: 100%;
    }
    #theme-footer > div > div.pull-left {
        display: table-footer-group;
        text-align: center;
    }
    #theme-footer > div > div.pull-right {
        display: table-header-group;
        text-align: center;
    }
}
@media (max-width: 360px) {
    #theme-footer > div {
        padding: 30px 0;
    }
    #theme-footer > div div.pull-right a {
        min-height: 50px;
        width: 45%;
    }
    #theme-footer > div div.pull-right a:first-child {
        background: url(https://www.sa.gov.au/__data/assets/image/0010/251020/gov-sa-logo.png?v=0.1.2) center center no-repeat;
        margin-right: 0;
        background-size: 95%;
    }
    #theme-footer > div div.pull-right a:last-child {
        background: url(https://www.sa.gov.au/__data/assets/image/0012/251013/sa-logo.png) center center no-repeat;
        background-size: 80%;
    }
    #theme-footer > div div.pull-right a img {
        display: none;
    }
    #theme-footer > div div.pull-left > ul > li {
        display: block;
    }
    #theme-footer > div div.pull-left > ul > li a {
        margin: 0;
    }
    #theme-footer > div div.pull-left ul > li a:before {
        content: '';
    }
}